geode-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Darrel Schneider (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (GEODE-243) Remove the old client/server bridge classes
Date Wed, 26 Aug 2015 17:47:45 GMT

    [ https://issues.apache.org/jira/browse/GEODE-243?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14715217#comment-14715217
] 

Darrel Schneider commented on GEODE-243:
----------------------------------------

One issue with removing the deprecated bridge apis (and probably a bunch of other deprecated
apis) is the old gfsh.
The code for it is in these packages: com.gemstone.gemfire.internal.tools.gfsh.*
I think all this code has to be removed or converted to use non-deprecated apis.
As far as I know this old gfsh has no tests.

> Remove the old client/server bridge classes
> -------------------------------------------
>
>                 Key: GEODE-243
>                 URL: https://issues.apache.org/jira/browse/GEODE-243
>             Project: Geode
>          Issue Type: Sub-task
>            Reporter: Darrel Schneider
>   Original Estimate: 72h
>  Remaining Estimate: 72h
>
> The following classes should be removed. They were part of a very old client/server implementation
that has been replaced by pools.
> - com.gemstone.gemfire.cache.util.BridgeClient
> - com.gemstone.gemfire.cache.util.BridgeLoader
> - com.gemstone.gemfire.cache.util.BridgeWriter
> - com.gemstone.gemfire.cache.util.BridgeServer
> - com.gemstone.gemfire.cache.util.BridgeMembership
> - com.gemstone.gemfire.cache.util.BridgeMembershipEvent
> - com.gemstone.gemfire.cache.util.BridgeMembershipListener
> - com.gemstone.gemfire.cache.util.BridgeMembershipListenerAdapter
> - com.gemstone.gemfire.cache.util.BridgeWriterException
> - com.gemstone.gemfire.cache.util.EndpointDoesNotExistException
> - com.gemstone.gemfire.cache.util.EndpointException
> - com.gemstone.gemfire.cache.util.EndpointExistsException
> - com.gemstone.gemfire.cache.util.EndpointInUseException
> - com.gemstone.gemfire.cache.util.IncompatibleVersionException
> - com.gemstone.gemfire.cache.util.UnknownVersionException
> - com.gemstone.gemfire.cache.util.VersionException
> unit tests may still exist that test this older implementation. They can be removed since
a corresponding test using pools also exists.
> This task may be more work and it would be wise to have someone who understands the old
code involved in removing it.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message